Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2803 - lsof that you ship doesn't show Unix sockets; new release does
Summary: lsof that you ship doesn't show Unix sockets; new release does
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lsof
Version: 6.0
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-13 22:09 UTC by jonathan.sergent
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-14 16:06:37 UTC


Attachments (Terms of Use)

Description jonathan.sergent 1999-05-13 22:09:10 UTC
There is a new release of lsof out which has a bug fix in
it for Linux with sparc64 kernels.

The previous version doesn't properly parse /proc/net/unix
(which has some 64-bit quantities in it) and thus fails
to map Unix-domain sockets to their names.  Try running
lsof on an Ultra and notice that the lines corresponding
to Unix-domain sockets say:
gnome-ter 2709 jsergent    8u  sock    0,0             10656
can't identify protocol
(for instance)

lsof 4.43, which just came out, has a tiny fix from me in
it that fixes this behavior, in dialects/linux/proc/dsock.c.

Comment 1 Jeff Johnson 1999-05-14 16:06:59 UTC
Upgrade (and your patch) is in lsof-4.43-1


Note You need to log in before you can comment on or make changes to this bug.